Page MenuHomePhabricator

Python2/3 compat - urllib
ClosedPublic

Authored by serge-sans-paille on Dec 3 2018, 2:43 AM.

Diff Detail

Event Timeline

joerg requested changes to this revision.Dec 3 2018, 4:16 AM
joerg added inline comments.
docs/tools/dump_ast_matchers.py
11

Missing follow-up change in the rest of the file.

This revision now requires changes to proceed.Dec 3 2018, 4:16 AM

Thanks for spotting that, I messed up during the (huge) git add -p session :p

tools/scan-view/bin/scan-view
15 ↗(On Diff #176574)

Python 3's urlopen is equivalent to urllib2.urlopen not urllib.urlopen so I recommend importing from urllib2 instead.

serge-sans-paille marked an inline comment as done.
tools/scan-view/bin/scan-view
15 ↗(On Diff #176574)

This should be the same as dump_ast_matchers.py i.e.:

try:
    from urllib.request import urlopen
except ImportError:
    from urllib2 import urlopen
serge-sans-paille marked 2 inline comments as done.Dec 18 2018, 9:15 AM
michaelplatings requested changes to this revision.Dec 18 2018, 9:28 AM
michaelplatings added inline comments.
tools/scan-view/bin/scan-view
15 ↗(On Diff #176574)

This still isn't done.

This revision now requires changes to proceed.Dec 18 2018, 9:28 AM
serge-sans-paille marked an inline comment as done.

Sorry for the noise :-/

This revision was not accepted when it landed; it landed in state Needs Review.Dec 19 2018, 5:49 AM
Closed by commit rC349627: Portable Python script across Python version (authored by serge_sans_paille, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.